Quantcast

RE: ECW OKKKKK!!!

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: ECW OKKKKK!!!

fred etheve
Hi, Frank, hi Giovanni, Even, Peter, Barry... hi all,
You are wonderfull!!!!!!!!!!!!!!
A very big big thank you for this GDAL 1.9 with ECW
>From me, my students, and universities of south France
I hope meet you in Lyon!
Best regards

-----Message d'origine-----
De : [hidden email] [mailto:[hidden email]] De la part de Frank Warmerdam
Envoyé : vendredi 23 mars 2012 18:39
À : Fred ETHEVE
Cc : Jože Detečnik; qgis-developer
Objet : Re: [Qgis-developer] RE: ECW!!!

On Fri, Mar 23, 2012 at 6:03 AM, Fred ETHEVE <[hidden email]> wrote:
> Thank you, all,
> ECW/win was OK with trunk (1.9.90) until 2 days before new nightly... perhaps, since, gdal used has been 1.9???!!!

Fred,

Ah, ok, this is why I asked.  I would encourage you to file a ticket against OSGeo4W.  I will aim to upgrade the gdal-ecw package to work with the new GDAL 1.9 package (gdal).  With luck I could do this over the weekend.

With all due respect, if you had explained the problem was specifically with OSGeo4W to start I might have already had a plugin built for you.

> It's time to have an opensource wavelets compression!!!
> 1) Somebody knows Epsilon CW? Is -it possible with GDAL1.9 linux and win?
> 2) How to grab one of the builds available at http://www.gisinternals.com/sdk/, have you a method?

If you find a GDAL 1.9 ECW plugin build from other sources you could drop it in:

 C:/OSGeo4W/bin/gdalplugins/1.9/

This will only work safely if the plugin is built with the same version of MSVC as GDAL 1.9 (Visual Studio 2008 in this case).

Best regards,
--
---------------------------------------+--------------------------------
---------------------------------------+------
I set the clouds in motion - turn up   | Frank Warmerdam, [hidden email] light and sound - activate the windows | http://pobox.com/~warmerdam and watch the world go round - Rush    | Geospatial Software Developer

_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: ECW OKKKKK!!!

Ramon Andiñach
Hi Fred,

Other than Frank's package (thanks Frank) was there anything else you needed to do?

I'm getting an unrecognized file type error in QGIS, despite gdalinfo --formats showing ecw on the list.

-ramon.

On 26/03/2012, at 5:47, "Fred ETHEVE" <[hidden email]> wrote:

> Hi, Frank, hi Giovanni, Even, Peter, Barry... hi all,
> You are wonderfull!!!!!!!!!!!!!!
> A very big big thank you for this GDAL 1.9 with ECW
>> From me, my students, and universities of south France
> I hope meet you in Lyon!
> Best regards
>
> -----Message d'origine-----
> De : [hidden email] [mailto:[hidden email]] De la part de Frank Warmerdam
> Envoyé : vendredi 23 mars 2012 18:39
> À : Fred ETHEVE
> Cc : Jože Detečnik; qgis-developer
> Objet : Re: [Qgis-developer] RE: ECW!!!
>
> On Fri, Mar 23, 2012 at 6:03 AM, Fred ETHEVE <[hidden email]> wrote:
>> Thank you, all,
>> ECW/win was OK with trunk (1.9.90) until 2 days before new nightly... perhaps, since, gdal used has been 1.9???!!!
>
> Fred,
>
> Ah, ok, this is why I asked.  I would encourage you to file a ticket against OSGeo4W.  I will aim to upgrade the gdal-ecw package to work with the new GDAL 1.9 package (gdal).  With luck I could do this over the weekend.
>
> With all due respect, if you had explained the problem was specifically with OSGeo4W to start I might have already had a plugin built for you.
>
>> It's time to have an opensource wavelets compression!!!
>> 1) Somebody knows Epsilon CW? Is -it possible with GDAL1.9 linux and win?
>> 2) How to grab one of the builds available at http://www.gisinternals.com/sdk/, have you a method?
>
> If you find a GDAL 1.9 ECW plugin build from other sources you could drop it in:
>
> C:/OSGeo4W/bin/gdalplugins/1.9/
>
> This will only work safely if the plugin is built with the same version of MSVC as GDAL 1.9 (Visual Studio 2008 in this case).
>
> Best regards,
> --
> ---------------------------------------+--------------------------------
> ---------------------------------------+------
> I set the clouds in motion - turn up   | Frank Warmerdam, [hidden email] light and sound - activate the windows | http://pobox.com/~warmerdam and watch the world go round - Rush    | Geospatial Software Developer
>
> _______________________________________________
> Qgis-developer mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/qgis-developer
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: ECW OKKKKK!!!

Jože Detečnik
For me, formats not showing ecw on the list and also ECW is not recognized!

Regards, Joze

-----Original Message-----
From: [hidden email] [mailto:[hidden email]] On Behalf Of Ramon Andinach
Sent: Monday, March 26, 2012 5:24 AM
To: qgis-developer
Subject: Re: [Qgis-developer] RE: ECW OKKKKK!!!

Hi Fred,

Other than Frank's package (thanks Frank) was there anything else you needed to do?

I'm getting an unrecognized file type error in QGIS, despite gdalinfo --formats showing ecw on the list.

-ramon.

On 26/03/2012, at 5:47, "Fred ETHEVE" <[hidden email]> wrote:

> Hi, Frank, hi Giovanni, Even, Peter, Barry... hi all, You are
> wonderfull!!!!!!!!!!!!!!
> A very big big thank you for this GDAL 1.9 with ECW
>> From me, my students, and universities of south France
> I hope meet you in Lyon!
> Best regards
>
> -----Message d'origine-----
> De : [hidden email] [mailto:[hidden email]] De la part de
> Frank Warmerdam Envoyé : vendredi 23 mars 2012 18:39 À : Fred ETHEVE
> Cc : Jože Detečnik; qgis-developer Objet : Re: [Qgis-developer] RE:
> ECW!!!
>
> On Fri, Mar 23, 2012 at 6:03 AM, Fred ETHEVE <[hidden email]> wrote:
>> Thank you, all,
>> ECW/win was OK with trunk (1.9.90) until 2 days before new nightly... perhaps, since, gdal used has been 1.9???!!!
>
> Fred,
>
> Ah, ok, this is why I asked.  I would encourage you to file a ticket against OSGeo4W.  I will aim to upgrade the gdal-ecw package to work with the new GDAL 1.9 package (gdal).  With luck I could do this over the weekend.
>
> With all due respect, if you had explained the problem was specifically with OSGeo4W to start I might have already had a plugin built for you.
>
>> It's time to have an opensource wavelets compression!!!
>> 1) Somebody knows Epsilon CW? Is -it possible with GDAL1.9 linux and win?
>> 2) How to grab one of the builds available at http://www.gisinternals.com/sdk/, have you a method?
>
> If you find a GDAL 1.9 ECW plugin build from other sources you could drop it in:
>
> C:/OSGeo4W/bin/gdalplugins/1.9/
>
> This will only work safely if the plugin is built with the same version of MSVC as GDAL 1.9 (Visual Studio 2008 in this case).
>
> Best regards,
> --
> ---------------------------------------+------------------------------
> ---------------------------------------+--
> ---------------------------------------+------
> I set the clouds in motion - turn up   | Frank Warmerdam, [hidden email] light and sound - activate the windows | http://pobox.com/~warmerdam and watch the world go round - Rush    | Geospatial Software Developer
>
> _______________________________________________
> Qgis-developer mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/qgis-developer
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer


_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: ECW OKKKKK!!!

Giovanni Manghi
On Mon, 2012-03-26 at 08:49 +0200, Jože Detečnik wrote:
> For me, formats not showing ecw on the list and also ECW is not recognized!

if it works like the one for gdal 1.8 then is just a connector, and you
will need the libraries from the erdas sdk (you'll need to go on their
site, register, login and download the free (gratis) sdk).

cheers

-- Giovanni --

_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: ECW OKKKKK!!!

Ramon Andiñach
Well, the ecw bits on the gdal pages state that the libraries 4.1 or greater will work.

So, unless they need to be put somewhere different, the old ones should still work.

I expect I'm wrong on this.

-ramon.

On 26/03/2012, at 15:19, Giovanni Manghi <[hidden email]> wrote:

> On Mon, 2012-03-26 at 08:49 +0200, Jože Detečnik wrote:
>> For me, formats not showing ecw on the list and also ECW is not recognized!
>
> if it works like the one for gdal 1.8 then is just a connector, and you
> will need the libraries from the erdas sdk (you'll need to go on their
> site, register, login and download the free (gratis) sdk).
>
> cheers
>
> -- Giovanni --
>
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: ECW OKKKKK!!!

fred etheve
In reply to this post by Giovanni Manghi
On win (1.9.90.99), I'had just to change 1.8 to 1.9 in the qgis-dev.bat (osgeo4w/bin)
SET GDAL_DRIVER_PATH=%OSGEO4W_ROOT%\bin\gdalplugins\1.9
And we read ECWs
Regards

-----Message d'origine-----
De : [hidden email] [mailto:[hidden email]] De la part de Giovanni Manghi
Envoyé : lundi 26 mars 2012 09:19
À : Jože Detečnik
Cc : [hidden email]
Objet : RE: [Qgis-developer] RE: ECW OKKKKK!!!

On Mon, 2012-03-26 at 08:49 +0200, Jože Detečnik wrote:
> For me, formats not showing ecw on the list and also ECW is not recognized!

if it works like the one for gdal 1.8 then is just a connector, and you will need the libraries from the erdas sdk (you'll need to go on their site, register, login and download the free (gratis) sdk).

cheers

-- Giovanni --

_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer

_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: ECW OKKKKK!!!

Jože Detečnik
Yes, now work also for me! Can anybody include this statement (SET GDAL_DRIVER_PATH=%OSGEO4W_ROOT%\bin\gdalplugins\1.9) in  qgis-dev.tmpl and qgis.tmpl?

Thank you for good work, Joze.

-----Original Message-----
From: Fred ETHEVE [mailto:[hidden email]]
Sent: Monday, March 26, 2012 11:04 AM
To: [hidden email]; 'Jože Detečnik'
Cc: [hidden email]
Subject: RE: [Qgis-developer] RE: ECW OKKKKK!!!

On win (1.9.90.99), I'had just to change 1.8 to 1.9 in the qgis-dev.bat (osgeo4w/bin) SET GDAL_DRIVER_PATH=%OSGEO4W_ROOT%\bin\gdalplugins\1.9
And we read ECWs
Regards

-----Message d'origine-----
De : [hidden email] [mailto:[hidden email]] De la part de Giovanni Manghi Envoyé : lundi 26 mars 2012 09:19 À : Jože Detečnik Cc : [hidden email] Objet : RE: [Qgis-developer] RE: ECW OKKKKK!!!

On Mon, 2012-03-26 at 08:49 +0200, Jože Detečnik wrote:
> For me, formats not showing ecw on the list and also ECW is not recognized!

if it works like the one for gdal 1.8 then is just a connector, and you will need the libraries from the erdas sdk (you'll need to go on their site, register, login and download the free (gratis) sdk).

cheers

-- Giovanni --

_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer



_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: ECW OKKKKK!!!

Ramon Andiñach
In reply to this post by fred etheve
Thanks.

Also worth noting gdal-ecw is expecting the dlls in OSGeo4W/bin only.

-ramon.

On 26/03/2012, at 17:03, "Fred ETHEVE" <[hidden email]> wrote:

> On win (1.9.90.99), I'had just to change 1.8 to 1.9 in the qgis-dev.bat (osgeo4w/bin)
> SET GDAL_DRIVER_PATH=%OSGEO4W_ROOT%\bin\gdalplugins\1.9
> And we read ECWs
> Regards
>
> -----Message d'origine-----
> De : [hidden email] [mailto:[hidden email]] De la part de Giovanni Manghi
> Envoyé : lundi 26 mars 2012 09:19
> À : Jože Detečnik
> Cc : [hidden email]
> Objet : RE: [Qgis-developer] RE: ECW OKKKKK!!!
>
> On Mon, 2012-03-26 at 08:49 +0200, Jože Detečnik wrote:
>> For me, formats not showing ecw on the list and also ECW is not recognized!
>
> if it works like the one for gdal 1.8 then is just a connector, and you will need the libraries from the erdas sdk (you'll need to go on their site, register, login and download the free (gratis) sdk).
>
> cheers
>
> -- Giovanni --
>
> _______________________________________________
> Qgis-developer mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/qgis-developer
>
> _______________________________________________
> Qgis-developer mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/qgis-developer
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Problems to read ECW files

SilvioM66
In reply to this post by fred etheve
Hello,

excuse-me for my very bad English I am an italian francopnone

I use QGis 1.8 on Xubuntu 32bit Precise 12.04 and I can't read ECW files...

If you have a answer I would be very grateful.

Thanks in advance

Silvio
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problems to read ECW files

Giovanni Manghi-2
Hi,


> I use QGis 1.8 on Xubuntu 32bit Precise 12.04 and I can't read ECW files...
>
> If you have a answer I would be very grateful.

you must add the ecw support to your gdal using the old er-mapper sdk.

It is quite easy to do that with the "libgdal-ecw" package in the
ubuntugis repository, too bad that the "precise" repo does not have yet
most of the packages, including this one.

cheers

-- Giovanni --



_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Problems to read ECW files

Agustin Lobo
In reply to this post by SilvioM66
These directions might be outdated but I  think still work, please let me know:
https://sites.google.com/site/eospansite/qgis-installation/qgisecw

Agus

2012/5/24 SilvioM66 <[hidden email]>:

> Hello,
>
> excuse-me for my very bad English I am an italian francopnone
>
> I use QGis 1.8 on Xubuntu 32bit Precise 12.04 and I can't read ECW files...
>
> If you have a answer I would be very grateful.
>
> Thanks in advance
>
> Silvio
>
> --
> View this message in context: http://osgeo-org.1560.n6.nabble.com/RE-ECW-OKKKKK-tp4654782p4976603.html
> Sent from the Quantum GIS - Developer mailing list archive at Nabble.com.
> _______________________________________________
> Qgis-developer mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/qgis-developer
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Loading...